# docker-compose -f docker-compose-sniffer-sensor.yaml pull && docker-compose -f docker-compose-sniffer-sensor.yaml up -d
#
#installing docker-compose sudo curl -L "https://github.com/docker/compose/releases/download/1.28.6/docker-compose-$(uname -s)-$(uname -m)" -o /usr/bin/docker-compose
#https://docs.docker.com/compose/environment-variables/#substitute-environment-variables-in-compose-files && #https://docs.docker.com/compose/env-file/

version: "3.3"
services: 
  sniffer: 
    container_name: sniffer-sensor
    restart: on-failure:5
    image: appsentinels/ng-controller:latest
    hostname: appsentinels-sniffer-sensor
    environment: 
      - REMOTE_CONTROLLER_SERVER_NAME=<dns mapped hostname or IP of controller, eg: remote-controller>
      - REMOTE_CONTROLLER_SERVER_PORT=9004
      - ENVIRONMENT=<environment>
      - TAP_INTERFACE=all # can be default|any|all
      - SNIFFER_SENSOR_INSTANCE=<sniffer sensor instance, eg: service-1>
      - TAP_FILTER=tcp-and-not-port-22-and-not-port-443-and-not-port-9004-and-not-port-9101
      - RELAY_PROTOCOL=http
    network_mode: "host"
    logging:
      driver: local
      options:
        max-size: 10m    
    volumes: 
      - /var/crash:/var/crash 
      - /var/log/appsentinels:/var/log/appsentinels 
